## uvCharts

Simple, robust, extensible JavaScript charting library built using [d3](http://mbostock.github.com/d3/ "d3") designed to help developers embed, build charts in less than couple of minutes.

To learn more about uvCharts and how to use it, read the [wiki](http://www.github.com/imaginea/uvCharts/wiki/Home) page or the 5 minute [quick start guide](https://github.com/Imaginea/uvCharts/wiki/Guide).

Checkout [releases](http://www.github.com/Imaginea/uvCharts/releases) to get the latest release of uvCharts. The downloadable artifact will contain the minified and non-minified library file for you to use.

### Current release: uvCharts-v1.1.3

Charts supported at the current moment are:

+ Normal Bar Chart
+ Stacked Bar Chart
+ Step Up Bar Chart
+ Percent Bar Chart
+ Normal Area Chart
+ Stacked Area Chart
+ Percent Area Chart
+ Pie Chart
+ Donut Chart
+ Line Chart
+ Waterfall Chart
+ StepUp Waterfall Chart (*New* since 1.0.4)
+ Polar Area chart

All charts can be rendered either in horizontal or vertical orientation except for Pie, Donut, Polar Area.

### Documentation
You can find the documentation [here](http://imaginea.github.io/uvCharts/documentation.html)

#### Features
- Easy to learn and use (Single Function API)
- 13 charts supported already, with more to come
- Responsive (**New** since 1.0.1)
- Support for negative axis in Bar, Line, Area, Step Up bar charts (**New** since 1.1.0)
- Configurable (about 110 ways already)
- Cool transitions and effects
- Power of d3 exposed in the form of d3 selections in the resultant uvChart object 

#### Current roadmap
Checkout [milestones](https://github.com/Imaginea/uvCharts/milestones) to find plans for future releases underway.

#### Bugs, Issues and Feature requests
Want a new feature or found a bug? Feel free to raise a issue [here](https://github.com/Imaginea/uvCharts/issues).

#### Contributions
Contributions in the form of Pull Requests, Issues and Feature requests are always welcome.

You can read the developer guide [here](./readme/developer_guide.md) to get started on setting up the development environment and the source code hierarchy.

##### [Contributors](./CONTRIBUTORS.md)

##### [MIT License](./LICENSE.md)
